oracle.xml.xsql

## Class XSQLParserHelper

- java.lang.Object
- - oracle.xml.xsql.XSQLParserHelper

    public final class XSQLParserHelper
    extends java.lang.Object

Common XML Parsing Routines

### Constructor Summary

Constructors
Constructor and Description
`XSQLParserHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Document` `newDocument()`
`static Document` `parse(java.io.InputStream is, java.net.URL baseUrl, java.io.PrintWriter errorWriter)`
`static Document` `parse(java.io.Reader r, java.io.PrintWriter errorWriter)`
`static Document` `parse(java.io.Reader r, java.net.URL baseUrl, java.io.PrintWriter errorWriter)`
`static Document` `parse(java.net.URL url, java.io.PrintWriter errorWriter)`
`static Document` `parseFromString(java.lang.StringBuffer xmlString, java.io.PrintWriter errorWriter)`
`static Document` `parseFromString(java.lang.String xmlString, java.io.PrintWriter errorWriter)`
`static void` `print(Document d, java.io.OutputStream out)`
`static void` `print(Document d, java.io.PrintWriter out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSQLParserHelper

    public XSQLParserHelper()

### Method Detail

#### parseFromString

    public static Document parseFromString(java.lang.String xmlString,
                                           java.io.PrintWriter errorWriter)
                                    throws java.net.MalformedURLException,
                                           java.io.IOException,
                                           SAXParseException,
                                           SAXException

Throws:
  `java.net.MalformedURLException`
  `java.io.IOException`
  `SAXParseException`
  `SAXException`

#### parseFromString

    public static Document parseFromString(java.lang.StringBuffer xmlString,
                                           java.io.PrintWriter errorWriter)
                                    throws java.net.MalformedURLException,
                                           java.io.IOException,
                                           SAXParseException,
                                           SAXException

Throws:
  `java.net.MalformedURLException`
  `java.io.IOException`
  `SAXParseException`
  `SAXException`

#### parse

    public static Document parse(java.net.URL url,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
                                 SAXParseException,
                                 SAXException

Throws:
  `java.io.IOException`
  `SAXParseException`
  `SAXException`

#### parse

    public static Document parse(java.io.Reader r,
                                 java.net.URL baseUrl,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
                                 SAXParseException,
                                 SAXException

Throws:
  `java.io.IOException`
  `SAXParseException`
  `SAXException`

#### parse

    public static Document parse(java.io.InputStream is,
                                 java.net.URL baseUrl,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
                                 SAXParseException,
                                 SAXException

Throws:
  `java.io.IOException`
  `SAXParseException`
  `SAXException`

#### parse

    public static Document parse(java.io.Reader r,
                                 java.io.PrintWriter errorWriter)
                          throws SAXParseException,
                                 SAXException

Throws:
  `SAXParseException`
  `SAXException`

#### newDocument

    public static Document newDocument()

#### print

    public static void print(Document d,
                             java.io.OutputStream out)

#### print

    public static void print(Document d,
                             java.io.PrintWriter out)

Copyright © 2003, 2020, Oracle and/or its affiliates.